### Method

# Gtk.TextIter.get_text

#### Declaration [src]

    char*
    gtk_text_iter_get_text (
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Returns text in the given range.

If the range contains non-text elements such as images, the character and byte offsets in the returned string will not correspond to character and byte offsets in the buffer. If you want offsets to correspond, see `gtk_text_iter_get_slice()`.

#### Parameters

`end` | `GtkTextIter`
| iterator at end of a range
| Ownership is not transferred to the callee

#### Return value

Returns: `char*`
array of characters from the buffer
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string